Servers - Bug #578

Implement SRS for parabola.nu mail forwarding
2014-07-28 07:42 PM - mtjm

Status: fixed % Done: 0%
Priority: bug

Assignee:

Category:

Description

Currently if user of server A mails B@parabola.nu which is forwarded to server C, A has SPF records not allowing mail sent from
repo.parabolagnulinux.org and C uses SPF to reject mail, that mail will be rejected.

We need to use SRS to rewrite envelope sender addresses for mails to parabola.nu that we forward, and to verify and rewrite
addresses that get bounces for them.

https://github.com/roehling/postsrsd would do it, but canonical maps get only the sender address, while we need the recipient domain
(parabola.nu) to decide if we want to rewrite the address. | haven't found a way to make postfix rewrite addresses only with specific
recipient domains.

Other possible solutions:

e patch postfix * make parabola.nu virtual aliases deliver to a command that rewrites addresses and mails postfix, add aliases for
bounce addresses that use another command; is there an existing implementation of such a command or should we write our
own (preferably using libsrs2)? (mailman uses this interface for forwarding list mails to subscribers)

Related issues:
Has duplicate Servers - Bug #1287: [email] @parabola.nu forwarding fails SPF ... fixed 2017-04-14

History

#1 - 2014-10-03 04:07 AM - lukeshu

- Subject changed from [repo] Implement SRS for parabola.nu mail forwarding to Implement SRS for parabola.nu mail forwarding

#2 - 2017-12-24 06:31 AM - lukeshu

- Status changed from open to fixed

This is implemented. | kinda thought | did it, but git blame says it was mtjm. Maybe it broke and | fixed it?

#3 - 2017-12-24 06:34 AM - lukeshu
- Has duplicate Bug #1287 [email] @parabola.nu forwarding fails SPF checks added
